Skip to main content
POST
Set the desired total replicas and/or shard count (HorizontalScaling)

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required

namespace is required

Minimum string length: 1

Body

application/json
replicas
integer

Desired total number of replicas for the component

Required range: x >= 1
shardCount
integer

Desired total number of shards (sharded topology only, minimum 3)

Required range: x >= 3
componentName
string

Component to operate on. Defaults to the data component: shard for sharded deployments, falkordb otherwise.

Response

Default Response

message
string
required
opsName
string
required

Name of the created OpsRequest resource

clusterName
string
required
type
string
required
phase
string
liveApplyOpsName
string
liveApplyError
string